import sys, os
import numpy as np

def freedom(Lp,Lc, fv, Nm):

	LpOnLc = Lp / Lc
	A = 0.5 * np.sqrt(1 - LpOnLc * (1 - np.exp(-(1.0 / LpOnLc))))
	B = np.power((4.0/3.0)*np.pi,2.0/3.0) / (32 * (A ** 2))

	return B, B * np.power(1.0 / (fv * (Nm**2)), 2.0/3.0)

if len(sys.argv) != 5:

	sys.exit("Please provide Lp, Lc, fv, Nm")


Lp = float(sys.argv[1])
Lc = float(sys.argv[2])
fv = float(sys.argv[3])
Nm = float(sys.argv[4])

B, testVal = freedom(Lp,Lc,fv,Nm)
LpOnLc = Lp / Lc

print("Lp/Lc = %f, B = %f, testVal = %f" % (LpOnLc,B, testVal))

